[Buildroot] [PATCH v2 1/1] package/alsa-lib: disable versioned symbols only when unsupported

Joseph Kogut joseph.kogut at gmail.com
Mon May 18 05:11:12 UTC 2020


Some libraries such as CEF depend on versioned symbols from alsa-lib,
and the build fails during linking with versioning disabled.

Symbol versioning was originally disabled because some C libraries, such
as uClibc, don't support versioned symbols.

This patch conditionally disables versioned symbols when unsupported by
the toolchain, leaving them enabled otherwise.

Signed-off-by: Joseph Kogut <joseph.kogut at gmail.com>
---
 package/alsa-lib/alsa-lib.mk | 7 +++++--
 1 file changed, 5 insertions(+), 2 deletions(-)

diff --git a/package/alsa-lib/alsa-lib.mk b/package/alsa-lib/alsa-lib.mk
index 1855eb3d08..b718b1eb68 100644
--- a/package/alsa-lib/alsa-lib.mk
+++ b/package/alsa-lib/alsa-lib.mk
@@ -15,8 +15,11 @@ ALSA_LIB_AUTORECONF = YES
 ALSA_LIB_CONF_OPTS = \
 	--with-alsa-devdir=$(call qstrip,$(BR2_PACKAGE_ALSA_LIB_DEVDIR)) \
 	--with-pcm-plugins="$(call qstrip,$(BR2_PACKAGE_ALSA_LIB_PCM_PLUGINS))" \
-	--with-ctl-plugins="$(call qstrip,$(BR2_PACKAGE_ALSA_LIB_CTL_PLUGINS))" \
-	--without-versioned
+	--with-ctl-plugins="$(call qstrip,$(BR2_PACKAGE_ALSA_LIB_CTL_PLUGINS))"
+
+ifeq ($(BR2_TOOLCHAIN_USES_UCLIBC),y)
+ALSA_LIB_CONF_OPTS += --without-versioned
+endif
 
 # Can't build with static & shared at the same time (1.0.25+)
 ifeq ($(BR2_STATIC_LIBS),y)
-- 
2.26.2



More information about the buildroot mailing list